/ comp / gb.opengl / gl / deletetextures
Gl.DeleteTextures (gb.opengl)
Syntax

    STATIC SUB DeleteTextures ( Textures AS Integer[] )

### Delete named textures

#### Parameters

- Textures specifies an array of textures to be deleted.

#### Description

Gl.DeleteTextures deletes n textures named by the elements of the array textures. After a texture is deleted, it has no contents or dimensionality, and its name is free for reuse (for example by Gl.GenTextures). If a texture that is currently bound is deleted, the binding reverts to 0 (the default texture).

Gl.DeleteTextures silently ignores 0's and names that do not correspond to existing textures.

| Gl.DeleteTextures is available only if the GL version is 1.1 or greater.

#### Errors

Gl.GL_INVALID_OPERATION is generated if Gl.DeleteTextures is executed between the execution of Gl.Begin and the corresponding execution of Gl.End.

#### Associated Gets

Gl.IsTexture

### See also

Gl.AreTexturesResident, Gl.BindTexture , Gl.CopyTexImage1D, Gl.CopyTexImage2D, Gl.GenTextures, Gl.GetTexParameter, Gl.PrioritizeTextures, Gl.TexImage1D, Gl.TexImage2D, Gl.TexParameter